FROM node:22.10-alpine

WORKDIR /app

RUN npm install -g npm@latest

RUN npm install -g @angular/cli@^12.0.0

COPY . /app
RUN npm install

EXPOSE 4200

CMD ["ng", "serve", "--host", "0.0.0.0", "--disable-host-check"]
